Ledgers
Preview batch generation
Previews what batches would be created for the given time range. Does not create any batches.
POST
/
ledgers
/
{ledger_id}
/
generate_preview
Preview batch generation
curl --request POST \
--url https://app.gomangrove.com/api/v1/ledgers/{ledger_id}/generate_preview \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"start_time": "2025-01-01T00:00:00.000Z",
"end_time": "2025-03-31T23:59:59.000Z"
}
'import requests
url = "https://app.gomangrove.com/api/v1/ledgers/{ledger_id}/generate_preview"
payload = {
"start_time": "2025-01-01T00:00:00.000Z",
"end_time": "2025-03-31T23:59:59.000Z"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({start_time: '2025-01-01T00:00:00.000Z', end_time: '2025-03-31T23:59:59.000Z'})
};
fetch('https://app.gomangrove.com/api/v1/ledgers/{ledger_id}/generate_preview', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "lgr_abc123def456",
"name": "Net Carbon Removal",
"count": 3
}
]
}Authorizations
Path Parameters
Ledger friendly ID (e.g., lgr_abc123def456)
Body
application/json
Response
200 - application/json
200
Show child attributes
Show child attributes
⌘I
Preview batch generation
